Skip to main content
GET
/
v2
/
guidances
List Guidances
curl --request GET \
  --url https://public.api.serval.com/v2/guidances \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "content": "<string>",
      "shouldAlwaysUse": true,
      "isPublished": true,
      "hasUnpublishedChanges": true
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

The ID of the team.

pageSize
integer<int32>

Maximum number of results to return. Default is 1000, maximum is 2000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
Guidance · object[]

The list of guidances.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.